import React, { Fragment } from 'react'
import Pagination from 'bee-pagination-ac'
import Table from 'bee-table'
import 'bee-pagination-ac/build/Pagination.css'
import 'bee-table/build/Table.css'
 
class TablePages extends React.Component{
  constructor (props) {
    super(props)
    this.state = {
      pageIndex :1,
      dataNum :0
    }
  }
  componentDidMount () {
    this.setState({
      dataNum:this.props.pagination.dataNum
    })
  }
  handleSelect = e => {
    this.setState({
      pageIndex:e
    })
  }
  dataNumSelect = e => {
    this.setState({
      pageIndex: 1,
      dataNum:e
    })
  }
  render () {
    const { tableConfig, pagination } = this.props
    const { pageIndex,dataNum } = this.state
    return (
      <Fragment>
        <Table
          {...tableConfig}
          data={tableConfig.data.slice((pageIndex - 1) * (dataNum + 1) * 5, (pageIndex - 1) * (dataNum + 1) * 5 + (dataNum + 1) * 5)}
        />
        <div>
          <div style={{float:'right'}}>
          <Pagination
            style={{float:'right'}}
            prev
            next
            maxButtons={5}
            boundaryLinks
            showJump={true}
            total={tableConfig.data.length}
            dataNum={dataNum}
            {...pagination}
            activePage={pageIndex}
            onSelect={this.handleSelect}
            onDataNumSelect={this.dataNumSelect}
          />
          </div>
          
        </div>
      </Fragment>
    )
  }
}
TablePages.defaultProps = {
  tableConfig: {
    data:[]
  },
  pagination: {
    dataNum: 1,
    onSelect: () => {},
    onDataNumSelect: () => {},
  },
}
export { TablePages }
